%define name	pv
%define version	0.6.0
%define release	1mdk

Summary:	Monitor the progress of data through a pipe.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.ivarch.com/programs/
License:	Artistic
Group:		Development/Other
BuildRequires:	texinfo tetex
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data
through a pipeline.  It can be inserted into any normal pipeline
between two processes to give a visual indication of how quickly
data is passing through, how long it has taken, how near to
completion it is, and an estimate of how long it will be until
completion.

%prep

%setup -q

%build

%configure

%make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_infodir}
install -d %{buildroot}%{_mandir}/man1

make DESTDIR="%{buildroot}" install

# prepare for html doc inclusion
mkdir html; cp doc/*.html html/

%find_lang %{name}
# note; the nls files should probably be added also somehow in the future...

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-, root, root)
%doc html README doc/NEWS doc/TODO doc/COPYING
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Mon Aug 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.0-1mdk
- 0.6.0

* Thu Jul 24 2003 Michael Scherer <scherer.michael@free.fr> 0.5.3-2mdk 
- Fix unpackaged files.

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.3-1mdk
- initial cooker contrib
